export type TypeList = {
  id: string
  name: string
  sort: number
  cover: string
}

export type MusicFInd = {
  author: string
  cover: string
  id: string
  name: string
  sourceFile: string
}

export type MusicGroup = {
  author: string
  cover: string
  id: string
  name: string
  sourceFile: string
  innerAudioContext: any
  volume: number
  isClick: boolean
}

//用户登录需要的参数
export type LoginParams = {
  code: string
  // photoPath?: string
  // userName?: string
}
//用户获取手机号需要的参数
export type GetPhoneParams = {
  openId: string
  code: string
}

//生成海报
export type CreatePo = {
  userId: string
  title: string
  effectiveDays: number
  amount: number
  times: number
  background?: string
}

//根据scene 查询参数的方法
export type QueryPa = {
  scene: string
  userId?: string
}
