import { createSSRApp } from 'vue'
import pinia from './stores'

import App from './App.vue'
export function createApp() {
  const app = createSSRApp(App)

  app.use(pinia)
  return {
    app,
  }
}

export const BASE_URL = {
  server: 'https://jinhong-credit.com/',
  fileServe: 'https://test.jue-ming.com:8849/',
}
