import type { UserInfoT } from '@/types/my'
import { http } from '@/utils/http'

const myInfoUpdateUrl = '/user/update/staff'

export const userInfoUpdateApi = (val: UserInfoT) => {
  return http({
    method: 'POST',
    url: myInfoUpdateUrl,
    data: {
      ...val,
    },
  })
}
